[![Build Status](https://travis-ci.org/derhansen/sf_event_mgt.svg?branch=master)](https://travis-ci.org/derhansen/sf_event_mgt)
[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/derhansen/sf_event_mgt/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/derhansen/sf_event_mgt/?branch=master)
[![Code Coverage](https://scrutinizer-ci.com/g/derhansen/sf_event_mgt/badges/coverage.png?b=master)](https://scrutinizer-ci.com/g/derhansen/sf_event_mgt/?branch=master)

Event management and registration
=================================

## What is it?

Event management and registration is an extension for TYPO3 CMS to manage events and registrations.

**Summary of features**

* Easy usage for editors
* Registration can be activated for each event individually
* Optional registration waitlist
* Double opt in (optional) for event registration
* Attachments in registration e-mails to participant and/or admin
* Configurable validity of double opt in links
* Cancellation configurable for each event
* Prefill of registration fields for logged in frontend users
* Frontend plugin to show event registrations for logged in frontend users
* Backend administration module to manage events and registrations
* CSV export for all registrations of an event
* Configurable e-mail templates to notify event participants
* Extendable with own fields through own extension
* Configurable template layouts for the listview
* Configurable category menu 
* Searchview for events
* Create multiple registrations at once by a single user
* Optionally check e-mail address of registrations for uniqueness per event
* Optional Spam-Protection with reCAPTCHA
* Download of iCal file for events
* Uses TYPO3 system categories to structure events by category
* Price options valid until selected dates (e.g. for early bird prices)
* Payment processing after successful registration
* Configurable payment methods

**Background**

* Based on Extbase and Fluid
* Covered with unit and functional tests
* Actively maintained

## Documentation

The extension includes a detailed documentation in ReST format. You can view the extension manual on TYPO3 TER or use
ext:sphinx to view the documentation directly in your TYPO3 installation.

## Feedback and updates

This extension is hosted in GitHub. Please report feedback, bugs and change requests directly at 
https://github.com/derhansen/sf_event_mgt